Subject: Re: [BK PATCH] 2.6.2 SCTP updates

From: "David S. Miller" <[email-masked]>
Date: Mon, 9 Feb 2004 12:41:45 -0800

On Mon, 09 Feb 2004 12:34:18 -0800
Nivedita Singhvi <[email-masked]> wrote:

> Sorry to pitch in on this so late - and I'm not suggesting
> this was not the right thing to do here, but I feel that
> having the per-protocol globals (as we do for TCP) is a
> good thing, as then you don't affect all (raw, udp..)
> traffic on the system just because someone is tuning
> for SCTP, etc.

I understand.

But there was no known reason to tweak things for SCTP.
If one wanted to adjust things system wide there was no
way for it to apply to SCTP too.

Also, the TCP controls are not as they would seem.  They don't
directly effect things like the sysctl*{rmem,wmem} stuff does,
rather it influences the dynamic socket buffer sizing which
TCP does.